<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
		* {
			margin: 0;
			padding: 0;
		}

		div.main{
			margin: 0 auto;
			width: 400px;
			height: 600px;
			border: 1px black solid;
			padding: 10px;
			display: flex;
			flex-direction: column;
		}
		div.pantalla {
			width: 100%;
			height: 100px;
			border: 1px black solid;
			margin-bottom: 30px;
		}

		div.fila1, div.fila2, div.fila3, div.fila4 {
			height: 100px;
			width: 100%;
		}

		ul {
			display: flex;
			justify-content: space-around;
		}

		ul li {
			list-style-type: none;
			display: inline-block;
			border: 1px black solid;
			text-align: center;
			padding: 30px;
			cursor:pointer;
		}
		
		

	</style>
	<script type="text/javascript">
		
        window.addEventListener('load',function(){

                  let r=document.querySelector('.igual');
                 let numero=document.querySelectorAll('.num');
                 let operaciones=document.querySelectorAll('.op');
                 let salida=document.querySelector('.pantalla');
                 let acumulador=0;
                 let acumuladornum=[];
                 let acumuladorop=[];
                 let estado=false;
                 let resultado=0;
                 let error=true;


                   numero.forEach(function(valor) {
                        
                        valor.addEventListener('click',(e) => {
                          
                                       error=true;
                       
                             
                                      if(estado==false){

                                          salida.innerHTML+=e.target.innerHTML;
                                          acumulador+=e.target.innerHTML;
                                           
                                            
                                      }else {

                                             acumulador=0;
                                              salida.innerHTML+=e.target.innerHTML;
                                               acumulador=e.target.innerHTML;
                                               estado=false;

                                      };


                        });



                   });



                   operaciones.forEach(function(valor) {
                        
                        valor.addEventListener('click',(e) => {
                          
                               if(error==true){

                              
                              acumuladorop.push(e.target.innerHTML);
                             salida.innerHTML+=e.target.innerHTML;
                              console.log(acumuladorop);
                               console.log(acumuladornum);
                                acumuladornum.push(acumulador);
                                   estado=true;
                                    error=false;
                                   
                              };



                        });

            });
        

                    r.addEventListener('click',(e) => {
                      
                    	acumuladornum.push(acumulador);
                    		//
                    		//
                    		//
                    		//
                    	
                    	
                    		resultado=Number(acumuladornum[0]);
                            acumuladorop.forEach((valor,indice) => {

                                 switch (valor) {
                                 	case '+':
                                      	resultado+=Number(acumuladornum[indice+1]);
	                                  	break;
	                               case '-':
	                                	resultado-=Number(acumuladornum[indice+1]);
	                                  	break;
	                                case '*':
	                                	resultado*=Number(acumuladornum[indice+1]);
	                                	break;
	                                case '/':
	                                	resultado/=Number(acumuladornum[indice+1]);
	                                	break;                             		
                                 } 
                                   

                              });
                               salida.innerHTML=resultado;
                               estado=true;
                               acumuladorop=[];
                               acumuladornum=[];
                               //acumuladornum=[resultado];
                    });



   });





	</script>
</head>
<body>
	<div class="main">
		<div class="pantalla"></div>
		<div class="fila1">
			<ul>
				<li class='num'>7</li>
				<li class='num'>8</li>
				<li  class='num'>9</li>
				<li  class='op'>/</li>
			</ul>
		</div>
		<div class="fila2">
			<ul>
				<li  class='num'>4</li>
				<li  class='num'>5</li>
				<li  class='num'>6</li>
				<li  class='op'>*</li>
			</ul>
		</div>
		<div class="fila3">
			<ul>
				<li  class='num'>1</li>
				<li  class='num'>2</li>
				<li  class='num'>3</li>
				<li  class='op'>-</li>
			</ul>
		</div>
		<div class="fila4">
			<ul>
				<li  class='num'>0</li>
				<li  class='op'>+</li>
				<li  class='igual'>=</li>
				
			</ul>
		</div>
	</div>
</body>
</html>